Bug 30887 - IDE CDROM can't mount a valid cd
IDE CDROM can't mount a valid cd
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-06 21:01 EST by David Lawrence
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-07 09:09:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2001-03-06 21:01:31 EST
mount /mnt/cdrom gives:
[root@athlon /root]# mount /mnt/cdrom
mount: wrong fs type, bad option, bad superblock on /dev/cdrom,
       or too many mounted file systems
       (could this be the IDE device where you in fact use
       ide-scsi so that sr0 or sda or so is needed?)
[root@athlon /root]#
lsmod shows:
[root@athlon /root]# lsmod
Module                  Size  Used by
ide-cd                 26848   0  (autoclean)
cdrom                  27232   0  (autoclean) [ide-cd]
autofs                 11264   1  (autoclean)
3c59x                  25344   1  (autoclean)
ipchains               38816   0  (unused)
usb-uhci               22256   0  (unused)
usbcore                49456   1  [usb-uhci]
[root@athlon /root]# 

The machine was installed from the qa0305.0 tree. It has had both fisher
and wolverine on it in the past, and could always mount a cdrom.
Comment 1 Arjan van de Ven 2001-03-07 07:00:57 EST
Can you please add the information on the type of IDE controller and the
information in /proc/ide/hdX/model ?
Comment 2 Derek Tattersall 2001-03-07 09:08:51 EST
lspci -v:
00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 02)
        Subsystem: Asustek Computer, Inc.: Unknown device 8033
        Flags: bus master, medium devsel, latency 0
        Memory at e4000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 2.0
        Capabilities: [c0] Power Management version 2

00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]
+(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: df000000-dfdfffff
        Prefetchable memory behind bridge: dff00000-e3ffffff
        Capabilities: [80] Power Management version 2

00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev
+22)
        Subsystem: Asustek Computer, Inc.: Unknown device 8033
        Flags: bus master, stepping, medium devsel, latency 0

00:04.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 10) (prog-if
+8a [Master SecP PriP])
        Flags: bus master, medium devsel, latency 32
        I/O ports at b800 [size=16]
        Capabilities: [c0] Power Management version 2

00:04.2 USB Controller: VIA Technologies, Inc. UHCI USB (rev 10) (prog-if 00
+[UHCI])
        Subsystem: Unknown device 0925:1234
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at b400 [size=32]
        Capabilities: [80] Power Management version 2

00:04.3 USB Controller: VIA Technologies, Inc. UHCI USB (rev 10) (prog-if 00
+[UHCI])
        Subsystem: Unknown device 0925:1234
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at b000 [size=32]
        Capabilities: [80] Power Management version 2
00:04.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev
+30)
        Flags: medium devsel, IRQ 9
        Capabilities: [68] Power Management version 2

00:0a.0 Multimedia audio controller: Ensoniq CT5880 [AudioPCI] (rev 02)
        Subsystem: Ensoniq: Unknown device 8001
        Flags: bus master, slow devsel, latency 32, IRQ 5
        I/O ports at 9400 [size=64]
        Capabilities: [dc] Power Management version 1

00:0c.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev
+30)
        Subsystem: 3Com Corporation 3C905B Fast Etherlink XL 10/100
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at 9000 [size=128]
        Memory at de800000 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 1

00:11.0 Unknown mass storage controller: Promise Technology, Inc. 20265 (rev 02)
        Subsystem: Promise Technology, Inc.: Unknown device 4d33
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at 8800 [size=8]
        I/O ports at 8400 [size=4]
        I/O ports at 8000 [size=8]
        I/O ports at 7800 [size=4]
        I/O ports at 7400 [size=64]
        Memory at de000000 (32-bit, non-prefetchable) [size=128K]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [58] Power Management version 1

01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 RF (prog-if 00
+[VGA])
        Subsystem: ATI Technologies Inc: Unknown device 0008
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64, IRQ 11
        Memory at e0000000 (32-bit, prefetchable) [size=64M]
        I/O ports at d800 [size=256]
        Memory at df000000 (32-bit, non-prefetchable) [size=16K]
        Expansion ROM at dffe0000 [disabled] [size=128K]
        Capabilities: [50] AGP version 2.0
        Capabilities: [5c] Power Management version 1
And /proc/ide/hdb/model
SOOY!CEU5811! ! ! ! ! ! ! ! ! ! ! ! ! !
(But it's really a SONY).
Comment 3 Derek Tattersall 2001-03-10 11:35:06 EST
I finally had time to take the box apart.  I reseated all cable connectors; 
data, audio, and power.  et voila! It's not a kernel problem, but a hardware 
problem masquerading as a kernel problem.  I'll close this now, slink quietly 
off.

Note You need to log in before you can comment on or make changes to this bug.